Skip to main content

Get public user data

GET 

/v2/users/:userId

Returns public information about a specific user account, similar to what can be seen on public profile pages (e.g. https://apify.com/apify).

This operation requires no authentication token.

When the request is authenticated with an API token of the requested user account, or with a token that impersonates it, the response also contains the private information, the same as in Get private user data. Tokens with limited permissions never receive it.

Request

Path Parameters

    userId string required

    User ID or username.


    Example: HGzIk8z78YcAPEB

Status 200

Response Headers
    {
    "data": {
    "username": "d7b9MDYsbtX5L7XAj",
    "profile": {
    "bio": "I started web scraping in 1985 using Altair BASIC.",
    "readme": "### Hello world 👋🏻\nI build web scrapers.",
    "name": "Jane Doe",
    "pictureUrl": "https://apify.com/img/anonymous_user_picture.png",
    "githubUsername": "torvalds.",
    "websiteUrl": "http://www.example.com",
    "twitterUsername": "@BillGates"
    }
    }
    }